Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog.util
Class IPClassObject

    java.lang.Object
      |
      +--com.declarativa.interprolog.util.IPClassObject

All Implemented Interfaces:
  Serializable

public class IPClassObject
extends Object
implements Serializable

Represents a Java class object; avoids the need to use a full blown object specifier for the real Java class object (a Class instance) on the Prolog side, by relying on the Java call-back mechanism to interpret the contents of this object at callback time

See Also:
  Serialized Form

Field Summary
`String` | `classname`

Constructor Summary
`IPClassObject(String s)`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### classname

    public String classname

Constructor Detail

### IPClassObject

    public IPClassObject(String s)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD